Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgDB::FieldReaderIterator Class Reference

Inheritance diagram for osgDB::FieldReaderIterator:

[legend]
List of all members.

## Public Types
enum | { MINIMUM_FIELD_READER_QUEUE_SIZE = 10 }
## Public Member Functions
| FieldReaderIterator ()
| FieldReaderIterator (const FieldReaderIterator &ic)
virtual | ~FieldReaderIterator ()
FieldReaderIterator & | operator= (const FieldReaderIterator &ic)
void | attach (std::istream *input)
void | detach ()
virtual bool | eof () const
FieldReader & | getFieldReader ()
void | insert (int pos, Field *field)
void | insert (int pos, const char *str)
Field & | operator[] (int pos)
Field & | field (int pos)
FieldReaderIterator & | operator++ ()
FieldReaderIterator & | operator+= (int no)
void | advanceOverCurrentFieldOrBlock ()
| increments the iterator of the next simple field or whole block if the current field[0] is an open bracket
void | advanceToEndOfCurrentBlock ()
void | advanceToEndOfBlock (int noNestBrackets)
bool | matchSequence (const char *str)
bool | readSequence (const char *keyword, std::string &value)
bool | readSequence (const char *keyword, unsigned int &value)
bool | readSequence (const char *keyword, int &value)
bool | readSequence (const char *keyword, float &value)
bool | readSequence (const char *keyword, osg::Vec2f &value)
bool | readSequence (const char *keyword, osg::Vec3f &value)
bool | readSequence (const char *keyword, osg::Vec4f &value)
bool | readSequence (const char *keyword, osg::Vec2d &value)
bool | readSequence (const char *keyword, osg::Vec3d &value)
bool | readSequence (const char *keyword, osg::Vec4d &value)
bool | readSequence (std::string &value)
bool | readSequence (unsigned int &value)
bool | readSequence (int &value)
bool | readSequence (float &value)
bool | readSequence (osg::Vec2f &value)
bool | readSequence (osg::Vec3f &value)
bool | readSequence (osg::Vec4f &value)
bool | readSequence (osg::Vec2d &value)
bool | readSequence (osg::Vec3d &value)
bool | readSequence (osg::Vec4d &value)

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  MINIMUM_FIELD_READER_QUEUE_SIZE |

## Constructor & Destructor Documentation

osgDB::FieldReaderIterator::FieldReaderIterator | ( |  | ) |

osgDB::FieldReaderIterator::FieldReaderIterator | ( | const FieldReaderIterator & | ic | ) |

virtual osgDB::FieldReaderIterator::~FieldReaderIterator | ( |  | ) | `[virtual]`

## Member Function Documentation

void osgDB::FieldReaderIterator::advanceOverCurrentFieldOrBlock | ( |  | ) |

| increments the iterator of the next simple field or whole block if the current field[0] is an open bracket

void osgDB::FieldReaderIterator::advanceToEndOfBlock | ( | int | noNestBrackets | ) |

void osgDB::FieldReaderIterator::advanceToEndOfCurrentBlock | ( |  | ) |

void osgDB::FieldReaderIterator::attach | ( | std::istream * | input | ) |

void osgDB::FieldReaderIterator::detach | ( |  | ) |

virtual bool osgDB::FieldReaderIterator::eof | ( |  | ) | const`[virtual]`

Field& osgDB::FieldReaderIterator::field | ( | int | pos | ) |

FieldReader& osgDB::FieldReaderIterator::getFieldReader | ( |  | ) | `[inline]`

void osgDB::FieldReaderIterator::insert | ( | int | pos,
|  | const char * | str
| ) |

void osgDB::FieldReaderIterator::insert | ( | int | pos,
|  | Field * | field
| ) |

bool osgDB::FieldReaderIterator::matchSequence | ( | const char * | str | ) |

FieldReaderIterator& osgDB::FieldReaderIterator::operator++ | ( |  | ) |

FieldReaderIterator& osgDB::FieldReaderIterator::operator+= | ( | int | no | ) |

FieldReaderIterator& osgDB::FieldReaderIterator::operator= | ( | const FieldReaderIterator & | ic | ) |

Field& osgDB::FieldReaderIterator::operator[] | ( | int | pos | ) |

bool osgDB::FieldReaderIterator::readSequence | ( | osg::Vec4d & | value | ) |

bool osgDB::FieldReaderIterator::readSequence | ( | osg::Vec3d & | value | ) |

bool osgDB::FieldReaderIterator::readSequence | ( | osg::Vec2d & | value | ) |

bool osgDB::FieldReaderIterator::readSequence | ( | osg::Vec4f & | value | ) |

bool osgDB::FieldReaderIterator::readSequence | ( | osg::Vec3f & | value | ) |

bool osgDB::FieldReaderIterator::readSequence | ( | osg::Vec2f & | value | ) |

bool osgDB::FieldReaderIterator::readSequence | ( | float & | value | ) |

bool osgDB::FieldReaderIterator::readSequence | ( | int & | value | ) |

bool osgDB::FieldReaderIterator::readSequence | ( | unsigned int & | value | ) |

bool osgDB::FieldReaderIterator::readSequence | ( | std::string & | value | ) |

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | osg::Vec4d & | value
| ) |

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | osg::Vec3d & | value
| ) |

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | osg::Vec2d & | value
| ) |

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | osg::Vec4f & | value
| ) |

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | osg::Vec3f & | value
| ) |

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | osg::Vec2f & | value
| ) |

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | float & | value
| ) |

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | int & | value
| ) |

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | unsigned int & | value
| ) |

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | std::string & | value
| ) |

The documentation for this class was generated from the following file:

- FieldReaderIterator